.btn {
  cursor: pointer;
  padding: 6px 17px;
  text-align: center;
  background-color: #fff;
  border: 1px solid #e7e7e7;
  border-radius: 3px;
  display: inline-block;
  transition: background 0.8s;

  &:focus {
    outline: none;
  }

  &:hover {
    color: #333;
    background-color: #fafafa;
  }
}

.btn.btn-sm {
  padding: 2px 12px;
  font-size: 0.7857rem;
}

.btn.btn-raw {
  border: none;
  padding: 0 10px;
  background-color: transparent;
}

.btn.btn-primary {
  color: #fff;
  background-color: #6d5eac;
}

.btn.btn-success {
  color: #fff;
  background-color: #1dbb99;
}

.btn.btn-danger {
  color: #fff;
  background-color: #f55753;
}

.btn.btn-danger:hover {
  background-color: #f77975;
}

button:disabled {
  background-color: #e4e4e4 !important;
}

input:disabled,
input:read-only {
  background-color: #e4e4e4;
}

.label {
  font-weight: 500;
  margin-bottom: 10px;
  font-size: 0.787rem;
  letter-spacing: 1px;
  display: inline-block;
  text-transform: uppercase;
  font-family: "Montserrat", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.form-control {
  width: 100%;
  padding: 6px 10px;
  border-radius: 2px;
  background-color: #fff;
  border: 1px solid #e4e4e4;

  &.has-error {
    border-color: #f55753;
  }
}

select.form-control {
  padding: 5px 6px;
  cursor: pointer;
}

.form-control:focus {
  outline: none;
  background-color: #e4e4e4;
}

.form-control-group {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  border-radius: 2px;
  border: 1px solid #e4e4e4;
}

.form-control-group > .form-control-addon {
  padding: 7px 12px;
  word-wrap: normal;
  background-color: #f7f7f7;
}

.form-control-group > .form-control {
  border: none;
  border-radius: 0;
}

.error {
  display: none;
  color: #f55753;
  font-size: 0.7857rem;
}

.error.active {
  display: block;
}

.radio,
.checkbox {
  width: 15px;
  height: 15px;
  cursor: pointer;
  position: relative;
  vertical-align: top;
}

.radio input,
.checkbox input {
  display: none;
}

.radio .indicator,
.checkbox .indicator {
  top: 0px;
  left: 0px;
  width: 15px;
  height: 15px;
  background: #ccc;
  display: inline-block;
}

.radio .indicator {
  border-radius: 50%;
}

.radio input:checked ~ .indicator {
  background-color: #fff;
  border: 5px solid #6d5eac;
}

.checkbox .indicator::after {
  top: 2px;
  left: 6px;
  width: 4px;
  height: 9px;
  content: "";
  display: none;
  position: absolute;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
  border: solid #fff;
  border-width: 0 2px 2px 0;
}

.checkbox input:checked ~ .indicator {
  background-color: #6d5eac;
}

.checkbox input:checked ~ .indicator::after {
  display: block;
  background-color: #6d5eac;
}
